Bug 204 - smbpasswd, passwd.tdb BUG in Beta2 release ??
smbpasswd, passwd.tdb BUG in Beta2 release ??
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: User/Group Accounts
3.0.0preX
All Linux
: P2 normal
: none
Assigned To: Gerald (Jerry) Carter
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-04 08:11 UTC by Bernd Oelker
Modified: 2005-11-14 09:30 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bernd Oelker 2003-07-04 08:11:08 UTC
Hallo, 
 
I am using Samba 3.0.0beta1 with options security = user and  
passdb "backend = passdb.tdb" or "passdb backend = smbpasswd" 
=> no problems everything is fine ... 
But after building Samba 3.0.0beta2 either configuration works ?? 
 
(Perhaps there is a default handling changed ??, the global section of 
the smb.conf (/etc/samba/smb.conf) follows) 
[global] 
   workgroup = HSPG 
   interfaces = 194.127.229.103/24 
   allow hosts = 194.127.229.0/255.255.255.0 
   os level = 32 
   security = user 
   encrypt passwords = yes 
   debug level = 0 
   log level = 0 
   log file = /var/log/samba.%m 
#  auth methods = sam 
   passdb backend = tdbsam 
#   smb passwd file = /etc/samba/smbpasswd 
   guest account = nobody 
   password level = 2 
   lock directory = /var/lock/samba 
#   share modes = yes 
#   locking = yes 
   strict locking = no 
#  mangle locks 
   keepalive = 30 
   username map = /etc/samba/smbusers 
   valid users = ...
Comment 1 Gerald (Jerry) Carter 2003-07-24 20:07:34 UTC
please send me a level 10 debug log of the failure. 
Mail it to me directly.   Thanks.
Comment 2 Gerald (Jerry) Carter 2003-07-24 20:08:27 UTC
should have been assigned, not fixed.
Comment 3 Rafal Szczesniak 2003-08-14 13:40:49 UTC
I would call this closed. I talked to jerry yesterday and the guy who reported
this haven't given sign of life since. It was in earlier beta and if necessary
we can reopen it anyway.
Comment 4 Gerald (Jerry) Carter 2005-02-07 08:40:34 UTC
originally reported against 3.0.0beta2.  CLeaning out 
non-production release versions.
Comment 5 Gerald (Jerry) Carter 2005-08-24 10:26:57 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.
Comment 6 Gerald (Jerry) Carter 2005-11-14 09:30:34 UTC
database cleanup